{ config, lib, impermanence, ... }:
let
  isStandalone = !(config ? home-manager.users);
in
{
  imports = [ impermanence.homeManagerModules.impermanence ];

  home.persistence."/persist${config.home.homeDirectory}" = {
    enable = isStandalone;
    directories = [
      "Keepers"
      "Projects"

      ".ssh"
      ".gnupg"
    ] ++ (if config.home.desktop.enable then [
      "Documents"
      "Pictures"
      "Videos"
      "Games"
      "VMs"

      ".config/sunshine"
      ".local/share/keyrings"
      ".local/state/wireplumber"
    ] else []);
    allowOther = false;
  };
}
